gtk-sharp 2.12.0.0 Gtk.Dialog
- Constructor
  System.Obsolete
  Native type value.
  Obsolete Protected Constructor.
  Do not use. Replaced by which registers native types automatically. Subclasses should chain to the IntPtr constructor passing and call CreateNativeObject instead of using this constructor. This constructor is provided for backward compatibility if you have manually registered a native value for your subclass.
- Constructor
  Native object pointer.
  Internal constructor
  This is not typically used by C# code. Exposed primarily for use by language bindings to wrap native object instances.
- Constructor
  Window title.
  Transient parent window.
  Public constructor.
- Method
  System.Void `` `` The child widget. The tab label text. Adds a custom tab to the dialog.
- Property
  GLib.Property("current-page")
  System.Int32 CurrentPage tab index. An integer index of the selected tab.
- Property
  GLib.GType GType Property. Native value. Returns the native value for .
- Property
  Gtk.PrintCapabilities Manual capabilities supported. A set of supported by the application. Allows configuration of the supported printing capabilities for an application.
- Property
  GLib.Property("page-setup")
  Gtk.PageSetup PageSetup property. The specified .
- Property
  GLib.Property("print-settings")
  Gtk.PrintSettings PrintSettings property. Same as .
- Property
  GLib.Property("selected-printer")
  Gtk.Printer Selected printer property. The selected .
- Property
  Gtk.PrintSettings Settings property. The specified .
Unix print dialog. This class implements a Print dialog for platforms which don't provide a native printing dialog.